#
# spec file for package ghc-generic-lens
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name generic-lens
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.2.1.0
Release:        bp155.2.14
Summary:        Generically derive traversals, lenses and prisms
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-generic-lens-core-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-inspection-testing-devel
BuildRequires:  ghc-lens-devel
%endif

%description
This library uses GHC.Generics to derive efficient optics (traversals, lenses
and prisms) for algebraic data types in a type-directed way, with a focus on
good type inference and error messages when possible.

The library exposes a van Laarhoven interface. For an alternative interface,
supporting an opaque optic type, see
'<https://hackage.haskell.org/package/generic-optics generic-optics>'.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md examples

%changelog
* Sat Jan 22 2022 Peter Simons <psimons@suse.com>
- Update generic-lens to version 2.2.1.0.
  [#]# generic-lens-2.2.1.0 (2022-01-22)
  - GHC 9.2 compatibility
* Thu Jul 15 2021 psimons@suse.com
- Update generic-lens to version 2.2.0.0.
  [#]# generic-lens-2.2.0.0 (2021-07-13)
  - GHC 9.0 compatibility
* Wed Jan 27 2021 psimons@suse.com
- Update generic-lens to version 2.1.0.0.
  [#]# generic-lens-2.1.0.0 (2021-01-25)
  - Bump to generic-lens-core-2.1.0.0
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Wed Jul  8 2020 psimons@suse.com
- Add generic-lens at version 2.0.0.0.
